Knips logoKnips API

Get embeddable posts

Returns a lightweight summary of the public posts in a feed, intended for embedding on websites. No API key is required. Use limit to cap the result (maximum 30).

GET
/feeds/{feedId}/public-posts

Returns a lightweight summary of the public posts in a feed, intended for embedding on websites. No API key is required. Use limit to cap the result (maximum 30).

Path Parameters

feedId*string

Query Parameters

limit?number
curl -X GET "https://example.com/feeds/string/public-posts"
[  {    "postUrl": "string",    "postText": "string",    "claps": 0.1,    "publishedDate": "string",    "postImage": {      "type": "string",      "alt": "string",      "src": "string"    },    "feedImageUrl": "string",    "feedName": "string",    "postId": "string",    "feedId": "string"  }]
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}